| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Script::ScritpRealFunctionExample::Container::Function Class Reference

Inheritance diagram for IG::Script::ScritpRealFunctionExample::Container::Function:
[legend]
Collaboration diagram for IG::Script::ScritpRealFunctionExample::Container::Function:
[legend]

List of all members.

## Public Member Functions
| Function ()
| Function (double Kx, double Sx)
| Function (double Kx, double Sx, double Ky, double Sy)
## Protected Member Functions
override void | InitDynamic ()
| Initialization of variables that are used by dynamic loading mechanisim.
override double | RefValue (double arg)
| Returns the value of reference (untransformed) function.
override double | RefDerivative (double arg)
| Returns the first derivative of reference (untransformed) function.
override double | RefSecondDerivative (double arg)
| Returns the second derivative of the given order of reference (untransformed) function.

## Constructor & Destructor Documentation

IG::Script::ScritpRealFunctionExample::Container::Function::Function | ( |  | ) | `[inline]`

IG::Script::ScritpRealFunctionExample::Container::Function::Function | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline]`

IG::Script::ScritpRealFunctionExample::Container::Function::Function | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline]`

## Member Function Documentation

override void IG::Script::ScritpRealFunctionExample::Container::Function::InitDynamic | ( |  | ) | `[inline, protected, virtual]`

Initialization of variables that are used by dynamic loading mechanisim.

Reimplemented from IG::Lib::LoadableRealFunctionBase.

override double IG::Script::ScritpRealFunctionExample::Container::Function::RefValue | ( | double | x | ) | `[inline, protected, virtual]`

Returns the value of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override double IG::Script::ScritpRealFunctionExample::Container::Function::RefDerivative | ( | double | x | ) | `[inline, protected, virtual]`

Returns the first derivative of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override double IG::Script::ScritpRealFunctionExample::Container::Function::RefSecondDerivative | ( | double | x | ) | `[inline, protected, virtual]`

Returns the second derivative of the given order of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

The documentation for this class was generated from the following file:

- RealFunctionScriptExample.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events